"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var load_script_1 = require("./load-script");

Object.defineProperty(exports, "loadScript", {
  enumerable: true,
  get: function get() {
    return load_script_1.loadScript;
  }
});

var parser_1 = require("./file/parser");

Object.defineProperty(exports, "blob2text", {
  enumerable: true,
  get: function get() {
    return parser_1.blob2text;
  }
});
Object.defineProperty(exports, "blob2base64", {
  enumerable: true,
  get: function get() {
    return parser_1.blob2base64;
  }
});
Object.defineProperty(exports, "blob2file", {
  enumerable: true,
  get: function get() {
    return parser_1.blob2file;
  }
});

var download_1 = require("./file/download");

Object.defineProperty(exports, "downloadFile", {
  enumerable: true,
  get: function get() {
    return download_1.downloadFile;
  }
});

var storage_1 = require("./storage");

Object.defineProperty(exports, "WebStorage", {
  enumerable: true,
  get: function get() {
    return storage_1.WebStorage;
  }
});

var client_1 = require("./websocket/client");

Object.defineProperty(exports, "WebsocketClient", {
  enumerable: true,
  get: function get() {
    return client_1["default"];
  }
});

var drag_1 = require("./dom/drag");

Object.defineProperty(exports, "DragMethod", {
  enumerable: true,
  get: function get() {
    return drag_1.DragMethod;
  }
});