declare type StorageType = 'sessionStorage' | 'localStorage';
interface Zip {
    deflate: (data: string) => string;
    inflate: (data: string) => string;
}
interface WebStorageProps {
    type?: StorageType;
    key: string;
    zip?: Zip;
}
export declare class WebStorage {
    private readonly _key;
    private readonly storage;
    private readonly zip?;
    constructor(props: WebStorageProps);
    get state(): any;
    set state(data: any);
    get key(): string;
    merge(data: any): void;
    clear(): void;
}
export {};
